<div class="menu">
    <h2 class="text-menu">Library Manager</h2>
</div>
<div class="content">
    <button style="width: 200px; margin: 5px 15px;" mat-raised-button color="primary" (click)="edit(undefined)">Ajouter un membre</button>
    <div class="reader header">
        <div class="reader-item">Identifiant</div>
        <div class="reader-item">Prénom</div>
        <div class="reader-item">Nom</div>
        <div class="reader-item">Bibliothèque</div>
        <div class="reader-item" style="padding-left: 8px">Actions</div>
    </div>
    <div class="reader" *ngFor="let reader of readers">
        <div class="reader-item">{{reader.id}}</div>
        <div class="reader-item">{{reader.name}}</div>
        <div class="reader-item">{{reader.lastName}}</div>
        <div class="reader-item">{{reader.libraryName}}</div>
        <div class="reader-item">
            <fa-icon (click)="edit(reader)" [icon]="faUserEdit"></fa-icon>
            <fa-icon (click)="delete(reader)" style="margin-left: 28px" [icon]="faTrash"></fa-icon>
        </div>
    </div>
</div>
<router-outlet></router-outlet>
